POST api/StickerDetail/upsert?stickerID={stickerID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
stickerID

globally unique identifier

Required

Body Parameters

Collection of StickerDetailViewModel
NameDescriptionTypeAdditional information
stickerField

StickerFieldViewModel

None.

active

boolean

Required

backgroundColor

string

Required

Max length: 6

bold

boolean

Required

fontSize

integer

Required

foregroundColor

string

Required

Max length: 6

ID

globally unique identifier

None.

italic

boolean

Required

staticValue

string

Max length: 20

sticker

StickerViewModel

None.

sticker_ID

globally unique identifier

Required

stickerField_ID

globally unique identifier

Required

stringLength

integer

None.

stringStart

integer

None.

zoneNumber

integer

Required

Request Formats

application/json, text/json

Sample:
[
  {
    "stickerField": {
      "previewValue": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "9a142c85-7ab8-4b9b-a4bf-0dd23f4c9d3c",
      "isStatic": true,
      "stickerType_ID": "9c3688bf-485f-4f34-949e-ba28da9d75f3",
      "technicalDescription": "sample string 6"
    },
    "active": true,
    "backgroundColor": "sample string 2",
    "bold": true,
    "fontSize": 4,
    "foregroundColor": "sample string 5",
    "id": "f6bfebcd-80f5-42af-a283-45bff7470f76",
    "italic": true,
    "staticValue": "sample string 8",
    "sticker": {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "f117257d-05f3-43ea-bc43-76e2ed1999af",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "72007ba1-a88c-46da-a0a0-981c6f9c8f1a",
          "contractItem_ID": "011cd090-a497-4916-b167-cef1580d2a10",
          "departement_ID": "0caf06cf-4308-4150-bc05-b5fac6156317",
          "departmentItem_ID": "3b054a2d-eca4-4b29-ab7b-cec63fe9e7bf",
          "iD": "2c5bc1b6-5082-4c08-978d-a518d8a494eb",
          "site_ID": "0f885bdc-549a-4ea1-8783-54719143dc7a",
          "siteCustomer_ID": "681da32a-e226-4032-a26a-4ec74dd90495",
          "sticker_ID": "7c70056b-5ba5-4047-a4d4-927795affe66"
        },
        {
          "active": true,
          "contract_ID": "72007ba1-a88c-46da-a0a0-981c6f9c8f1a",
          "contractItem_ID": "011cd090-a497-4916-b167-cef1580d2a10",
          "departement_ID": "0caf06cf-4308-4150-bc05-b5fac6156317",
          "departmentItem_ID": "3b054a2d-eca4-4b29-ab7b-cec63fe9e7bf",
          "iD": "2c5bc1b6-5082-4c08-978d-a518d8a494eb",
          "site_ID": "0f885bdc-549a-4ea1-8783-54719143dc7a",
          "siteCustomer_ID": "681da32a-e226-4032-a26a-4ec74dd90495",
          "sticker_ID": "7c70056b-5ba5-4047-a4d4-927795affe66"
        }
      ],
      "details": [],
      "active": true,
      "code": "sample string 2",
      "id": "3f15e366-7f4f-4564-82e3-ce78d893df9e",
      "stickerType_ID": "53695fa4-60b0-40a0-baf1-16abf1e014f3",
      "stickerRelation_IDs": [
        "59cfc4ab-b269-4300-a40a-21fbe64ba997",
        "e4a2cc18-3a3e-4f8b-95b4-46a6e1fa2ede"
      ],
      "site_ID": "52183fb7-fa61-4f63-b514-3b4f74d734fa"
    },
    "sticker_ID": "9dbefa32-225a-4616-ae14-7de08f4e23b4",
    "stickerField_ID": "478e7104-7267-45cb-8582-b178ccf98827",
    "stringLength": 1,
    "stringStart": 1,
    "zoneNumber": 11
  },
  {
    "stickerField": {
      "previewValue": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "9a142c85-7ab8-4b9b-a4bf-0dd23f4c9d3c",
      "isStatic": true,
      "stickerType_ID": "9c3688bf-485f-4f34-949e-ba28da9d75f3",
      "technicalDescription": "sample string 6"
    },
    "active": true,
    "backgroundColor": "sample string 2",
    "bold": true,
    "fontSize": 4,
    "foregroundColor": "sample string 5",
    "id": "f6bfebcd-80f5-42af-a283-45bff7470f76",
    "italic": true,
    "staticValue": "sample string 8",
    "sticker": {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "f117257d-05f3-43ea-bc43-76e2ed1999af",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "72007ba1-a88c-46da-a0a0-981c6f9c8f1a",
          "contractItem_ID": "011cd090-a497-4916-b167-cef1580d2a10",
          "departement_ID": "0caf06cf-4308-4150-bc05-b5fac6156317",
          "departmentItem_ID": "3b054a2d-eca4-4b29-ab7b-cec63fe9e7bf",
          "iD": "2c5bc1b6-5082-4c08-978d-a518d8a494eb",
          "site_ID": "0f885bdc-549a-4ea1-8783-54719143dc7a",
          "siteCustomer_ID": "681da32a-e226-4032-a26a-4ec74dd90495",
          "sticker_ID": "7c70056b-5ba5-4047-a4d4-927795affe66"
        },
        {
          "active": true,
          "contract_ID": "72007ba1-a88c-46da-a0a0-981c6f9c8f1a",
          "contractItem_ID": "011cd090-a497-4916-b167-cef1580d2a10",
          "departement_ID": "0caf06cf-4308-4150-bc05-b5fac6156317",
          "departmentItem_ID": "3b054a2d-eca4-4b29-ab7b-cec63fe9e7bf",
          "iD": "2c5bc1b6-5082-4c08-978d-a518d8a494eb",
          "site_ID": "0f885bdc-549a-4ea1-8783-54719143dc7a",
          "siteCustomer_ID": "681da32a-e226-4032-a26a-4ec74dd90495",
          "sticker_ID": "7c70056b-5ba5-4047-a4d4-927795affe66"
        }
      ],
      "details": [],
      "active": true,
      "code": "sample string 2",
      "id": "3f15e366-7f4f-4564-82e3-ce78d893df9e",
      "stickerType_ID": "53695fa4-60b0-40a0-baf1-16abf1e014f3",
      "stickerRelation_IDs": [
        "59cfc4ab-b269-4300-a40a-21fbe64ba997",
        "e4a2cc18-3a3e-4f8b-95b4-46a6e1fa2ede"
      ],
      "site_ID": "52183fb7-fa61-4f63-b514-3b4f74d734fa"
    },
    "sticker_ID": "9dbefa32-225a-4616-ae14-7de08f4e23b4",
    "stickerField_ID": "478e7104-7267-45cb-8582-b178ccf98827",
    "stringLength": 1,
    "stringStart": 1,
    "zoneNumber": 11
  }
]

application/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'application/xml'. Exception message: Object graph for type 'EntityModel.StickerViewModel' contains cycles and cannot be serialized if reference tracking is disabled.

text/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'text/xml'. Exception message: Object graph for type 'EntityModel.StickerViewModel' contains cycles and cannot be serialized if reference tracking is disabled.

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'List`1'.

Response Information

Resource Description

None.